Upgrading u-boot needed ? - Was: Re: "opkg upgrade" breaks USB networking: g_ether module missing

Olivier Berger oberger at ouvaton.org
Mon Aug 4 08:36:33 CEST 2008

Andy Green <andy at openmoko.com> writes:

> | Which uboot is "safe"?
> I'm not sure.  I suspect older U-Boot had lower probability of making
> the same problem since we had no idea this was happening until now, and
> some of the fixes I added would have been needed on older versions too.
> ~ best bet is to update to tomorrow's U-Boot and we'll try to remove the
> remaining chance of the problem in the meanwhile.

Could someone point to these valid u-boot*.bin files please ?

I'd like to upgrade it but it's not clear at all which versions I

I used to have v. 1.3.2-moko12 of May 9 2008 10:28:48

I downloaded :
and got a message displayed advertising some april version (which I
unfortunately didn't write down)... so I'm puzzled :(

How could I check which version I'm using on my FR and if it's
up-to-date or not ?

Thanks in advance.

P.S.: the wiki pages are not clear at all so as to finding appropriate
version of u-boot, IMHO, but would gladly improve the situation of
course ;)
Olivier BERGER 
(OpenPGP: 1024D/B4C5F37F)

More information about the support mailing list